
<%= simple_form_for @tools_document,
    wrapper: :horizontal_form,
    wrapper_mappings: {
      boolean:       :horizontal_boolean,
      check_boxes:   :horizontal_collection,
      date:          :horizontal_multi_select,
      datetime:      :horizontal_multi_select,
      file:          :horizontal_file,
      radio_buttons: :horizontal_collection,
      range:         :horizontal_range,
      time:          :horizontal_multi_select
    } do |f| %>
  <%= f.error_notification %>
  <%= f.error_notification message: f.object.errors[:base].to_sentence if f.object.errors[:base].present? %>

  <div class="form-inputs">
    <%= f.hidden_field :rca_id %>
    <%#= f.hidden_field :tool_reference %>
    <%= f.hidden_field :tool_num %>
    <%= f.input :name %>


    <div class="form-group row">
      <%= f.label :file, class: 'col-sm-3 col-form-label select required' %>
      <div class='col-sm-9'>
        <% if @tools_document.file&.attached? %>
          <p><b>Filename : </b><%= @tools_document.file.filename %></p>
        <% end %>
        <%= f.file_field :file, class: 'form-control' + (f.object.errors[:file]&.size>0 ? " is-invalid" : "") %>
        <div class='invalid-feedback'><%= f.object.errors[:file]&.to_sentence %></div>
      </div>
    </div>

    <%= f.input :description %>

    <% # all_steps_types = Meth::StepRole.all.map { |role| [role.name, role.id] } %>
    <%= f.input :tool_reference, collection: @all_steps_types #, selected: @tools_document.tool_reference
    %>
  </div>

  <div class="form-actions">
    <%= f.button :submit, class: 'btn btn-warning' %>
  </div>
<% end %>
